GensivDocs
AcademyAPI referenceMCP

Basics

OverviewAuthenticationRate limitsErrors

Endpoints

List brands GETGet brand hub GETList brand engines GET
Brands

Get brand hub GET

Read a brand's details, brand hub and draft status.

Get visibility overview GET

Visibility, share of voice and position for the brand and its competitors.

Gensiv

Resources

AcademyWebsiteBlogGlossary

Developer tools

API referenceMCP serverChangelog

Support

Contact supportGetting startedRate limits

© 2026 Gensiv. All rights reserved.

Brands

List brand engines

GET
/brands/{brandId}/engines

The engines a brand tracks, with the response math for the plan cap.

Authorization

apiKey
headerx-api-key<token>

Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...

Path Parameters

brandId*string
Formatuuid

Response Body

Brand engines

application/json
  1. response
  1. response
  2. …
selected*array<string>
engines*array<>
prompts*integer
perEngine*integer
others*integer
cap*integer
claudeAvailable*boolean
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/engines'
Example Response
{  "selected": [    "string"  ],  "engines": [    {      "slug": "string",      "name": "string",      "active": true,      "outsideCap": true    }  ],  "prompts": 0,  "perEngine": 0,  "others": 0,  "cap": 0,  "claudeAvailable": true}

Get brand hub GET

Read a brand's details, brand hub and draft status.

Get visibility overview GET

Visibility, share of voice and position for the brand and its competitors.

Start free trial
Start free trial
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/engines'
{
  "selected": [
    "string"
  ],
  "engines": [
    {
      "slug": "string",
      "name": "string",
      "active": true,
      "outsideCap": true
    }
  ],
  "prompts": 0,
  "perEngine": 0,
  "others": 0,
  "cap": 0,
  "claudeAvailable": true
}